Package org.globus.ftp

# Class OutputStreamDataSource

java.lang.Object
org.globus.ftp.OutputStreamDataSource

All Implemented Interfaces:
  `DataSource`

public class OutputStreamDataSource extends Object implements DataSource

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CircularBuffer`
`buffers`

## Constructor Summary

Constructors
Constructor
Description
`OutputStreamDataSource(int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes this data source and releases any system resources associated with this source.
`OutputStream`
`getOutputStream()`
`Buffer`
`read()`
Reads a data buffer from this data source.
`long`
`totalSize()`
Optional operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### buffers

protected CircularBuffer buffers

## Constructor Details

### OutputStreamDataSource

public OutputStreamDataSource(int size)

## Method Details

### read

public Buffer read() throws IOException
Description copied from interface: `DataSource`
Reads a data buffer from this data source.

Specified by:
  `read` in interface `DataSource`
Returns:
  The data buffer read. Null, if there is no more data to be read.
Throws:
  `IOException` - if an I/O error occurs.

### close

public void close() throws IOException
Description copied from interface: `DataSource`
Closes this data source and releases any system resources associated with this source.

Specified by:
  `close` in interface `DataSource`
Throws:
  `IOException` - if an I/O error occurs.

### getOutputStream

public OutputStream getOutputStream()

### totalSize

public long totalSize() throws IOException
Description copied from interface: `DataSource`
Optional operation. Returns the total size, in bytes, of the data in this source. If the implementation is not able to provide a total size for the data source, it should return -1

Specified by:
  `totalSize` in interface `DataSource`
Throws:
  `IOException` - if an I/O exception occurs